### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-app-shell/common/ecl-app-shell.facade.ts`

### Example

### Index

###### Properties
breadcrumbs$ currentLanguage$ languages$
###### Methods
Abstract changeLanguage Abstract initBreadcrumbs Abstract initLanguage

### Properties

breadcrumbs$
Type : `Observable<Array<EclBreadcrumb>>`

currentLanguage$
Type : `Observable<EclLanguage>`

languages$
Type : `Observable<Array<EclLanguage>>`

### Methods

Abstract changeLanguage
`changeLanguage(language: EclLanguage)`
Parameters :
Name | Type | Optional
language | `EclLanguage` | No
Returns : `void`

Abstract initBreadcrumbs
`initBreadcrumbs()`
Returns : `void`

Abstract initLanguage
`initLanguage(languages: Array, languageCodes: Array)`
Parameters :
Name | Type | Optional
languages | `Array<EclLanguage>` | No
languageCodes | `Array<string>` | No
Returns : `void`

# result-matching ""

# No results matching ""